Bug 256597 - mail/dma: update to 0.13.20210614
Summary: mail/dma: update to 0.13.20210614
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Renato Botelho
URL: https://github.com/corecode/dma/commi...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-14 11:56 UTC by Ronald Klop
Modified: 2021-06-30 12:25 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (garga)


Attachments
git diff (1.58 KB, patch)
2021-06-14 11:56 UTC, Ronald Klop
no flags Details | Diff
git diff (6.11 KB, patch)
2021-06-15 07:40 UTC, Ronald Klop
no flags Details | Diff
git diff in the ports dir (1.58 KB, patch)
2021-06-30 10:43 UTC, Ronald Klop
ronald-lists: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2021-06-14 11:56:08 UTC
Created attachment 225799 [details]
git diff

- Upstream does not make releases very often while significant bugfixes are committed now and than. Last release was Feb 2020.
- Upgrade the port to the same version as is included in DragonflyBSD: https://lists.dragonflybsd.org/pipermail/commits/2021-May/820180.html
- I think this versioning scheme is flexible enough to follow 0.14 in the future might that release ever happen.
- One patch (patch-crypto.c) is obsolete now.
Comment 1 Daniel Engberg 2021-06-15 07:14:35 UTC
Hi,

Does it pass poudriere? Tested on?
Small nitpick, according to handbook you should use DISTVERSION instead of PORTVERSION.
https://docs.freebsd.org/en/books/porters-handbook/makefiles/ --> "5.4.3. USE_GITHUB"

Best regards,
Daniel
Comment 2 Ronald Klop 2021-06-15 07:40:33 UTC
Created attachment 225818 [details]
git diff

Yes, it passes poudriere.
I tested it on my RPI4/14-CURRENT/aarch64.

I kept PORTVERSION because it was already used. I'm ok if it is changed to DISTVERSION. See the new attached patch.
Comment 3 Ronald Klop 2021-06-30 10:43:49 UTC
Created attachment 226126 [details]
git diff in the ports dir

Mmm, double checked the patch and it was from /usr/ports instead of /usr/ports/mail/dma. Fixed it.
Comment 4 commit-hook freebsd_committer 2021-06-30 12:25:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a5446834816f9ba1733f022f62b5b8166012ae24

commit a5446834816f9ba1733f022f62b5b8166012ae24
Author:     Ronald Klop <ronald-lists@klop.ws>
AuthorDate: 2021-06-30 11:55:32 +0000
Commit:     Renato Botelho <garga@FreeBSD.org>
CommitDate: 2021-06-30 12:24:10 +0000

    mail/dma: update to 0.13.20210614

    - Upstream does not make releases very often while significant bugfixes
      are committed now and than. Last release was Feb 2020.
    - Upgrade the port to the same version as is included in DragonflyBSD:
      https://lists.dragonflybsd.org/pipermail/commits/2021-May/820180.html
    - This versioning scheme is flexible enough to follow 0.14 in the future
      might that release ever happen.
    - Remove now obsoleted patch-crypto.c

    PR:             256597
    Sponsored by:   Rubicon Communications, LLC ("Netgate")

 mail/dma/Makefile                    |  4 ++--
 mail/dma/distinfo                    |  6 +++---
 mail/dma/files/patch-crypto.c (gone) | 11 -----------
 3 files changed, 5 insertions(+), 16 deletions(-)